local utils = require("utils")
local enums = require("consts.celeste_enums")

local scalePlatform = {}
local textures = {"wood", "dream", "temple", "templeB", "cliffside", "reflection", "core", "moon"}
scalePlatform.placements = {
	name = "scale_platform",
	data = {
		width = 8,
		height = 8,
        texture = "wood"
	}
}
scalePlatform.fieldInformation = {
    texture = {
        options = textures
    },
    surfaceIndex = {
        options = enums.tileset_sound_ids,
        fieldType = "integer"
    }
}
scalePlatform.name = "ScaleHelper/ScalePlatform"
scalePlatform.depth = 1
scalePlatform.nodeVisibility = "always"
scalePlatform.nodeLimits = {1, 1}
scalePlatform.fillColor = {0, 1, 214 / 255, 102 / 255}
scalePlatform.borderColor = {108 / 255, 214 / 255, 235 / 255}
function scalePlatform.nodeRectangle(room, entity, node, nodeIndex, viewPort)
	return utils.rectangle(node.x, node.y, 8, 8)
end
scalePlatform.nodeBorderColor = {0, 1, 0, 102 / 255}
return scalePlatform